Subject: [Ledger] Last Call for Comments on Crypto-Conditions

From: Adrian Hope-Bailie <[email-masked]>
Date: Thu, 8 Dec 2016 23:11:48 +0200

Hi all,

For almost a year we've been working to refine the crypto-conditions
specification [1]. Stefan talked about them in detail as part of the Ledger
BOF [2] at IETF 96 in Berlin and recently I was at IETF 97 in Seoul where I
presented the latest draft[3] to the SAAG.

We've had some great feedback which we have incorporated, but given the
nature of the work, it is important that we eventually settle on a stable
specification so that implementors can begin to use crypto-conditions
confidently, in the knowledge that they will inter-operate with other
implementations.

At the end of next week (16 December) we will stop taking input on this
version of the specification and aim to have a final draft out for comments
soon after. Following this we'd like to limit changes to editorial or style
changes only and make no further functional changes.

If anyone has breaking functional changes they wish to suggest please make
these on this list or via the Github issue list before 16 December
otherwise they will only be considered for the next major version of the
specification.

Thanks,
Adrian

[1]
https://github.com/interledger/rfcs/blob/master/0002-crypto-conditions/0002-crypto-conditions.md
[2] https://youtu.be/uPXXfClTqSY?t=49m
[3] https://tools.ietf.org/html/draft-thomas-crypto-conditions-01

---

From: Adrian Hope-Bailie <[email-masked]>
Date: Fri, 9 Dec 2016 23:35:04 +0200

Hi all,

Thnaks for your comments. I'm on and off planes for the next two days and
will be working on the spec and incorporating this and other feedback. My
goal is a comprehensive changelist and another draft by early next week.

Evan pointed out that the current draft excludes some major changes that
are still in a PR and have not yet been merged so please look at that too:
https://github.com/interledger/rfcs/pull/124

p.s. It may make sense to hold of any reviews until Monday when I have
pushed the latest changes.

On 9 December 2016 at 10:52, Dimitri De Jonghe <[email-masked]> wrote:

> Hi Adrian,
>
> first of all: amazing job getting this out. (together with 3
> implementations and so on...)
>
> Not sure if the validation interface should be part of the spec, mention
> it or is only part of the implementation.
>
> eg. validateFulfillment(fulfillment, condition), validateFulfillment(signatureFulfillment,
> condition, message)
>
>
> 2016-12-09 6:27 GMT+01:00 David Nicol <[email-masked]>:
>
>>
>> These need to be expanded a bit, or at least change "draft" to "version"
>>
>>
>> ​
>> The Security Considerations could easily punt to a good reference
>> comparing and contrasting the various crypto-techniques, such as pointing
>> people to section 8 of https://tools.ietf.org/id/d
>> raft-sury-dnskey-ed25519-01.html before stating "this section will be
>> expanded in a later version."
>>
>>
>> On Thu, Dec 8, 2016 at 3:11 PM, Adrian Hope-Bailie <[email-masked]>
>> wrote:
>>
>> otherwise
>> > they will only be considered for the next major version of the
>> > specification.
>> >
>> > Thanks,
>> > Adrian
>> >
>> > [1]
>> --
>> "Teaching radical novelties is our main safeguard against dictatorships"
>> -- Edsger W. Dijkstra
>>
>
>
>
> --
>
>
> Dimitri De Jonghe, PhD
> Developer
>
> +32 496 809 414 | Twitter <https://twitter.com/DimitriDeJonghe> | LinkedIn
> <https://www.linkedin.com/in/dimitridejonghe> | GitHub
> <https://github.com/diminator> | S <https://facebook.com/>kype:
> dimi.dejonghe
>  <https://www.bigchaindb.com/>
>
> BigchainDB GmbH
> Wichertstr. 14a, 10439 Berlin | Managing Director: Bruce Pon | Registered
> in Berlin HRB 160856B [email-masked] | www.bigchaindb.com
>
>
>

---

From: David Nicol <[email-masked]>
Date: Thu, 8 Dec 2016 23:27:33 -0600

​
The Security Considerations could easily punt to a good reference comparing
and contrasting the various crypto-techniques, such as pointing people to
section 8 of https://tools.ietf.org/id/draft-sury-dnskey-ed25519-01.html
before stating "this section will be expanded in a later version."

otherwise

-- 
"Teaching radical novelties is our main safeguard against dictatorships" --
Edsger W. Dijkstra